Strange display with ####### instead of plain URL
Closed, ResolvedPublic

Assigned To
tstarling
Priority
Normal
Author
bzimport
Subscribers
None
Projects
Reference
bz12994
Description

Author: bayo.fr

Description:
Hello,

i dont know if the right place anyway...

On the OTRS https://secure.wikimedia.org/otrs/index.pl the software often display unusable list of URL without any reason.

for exemple on this note ticket :
https://secure.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=1322002&ArticleID=1643830

the code is :
"""
*http://commons.wikimedia.org/wiki/Image:EPEE.JPG
*http://commons.wikimedia.org/wiki/Image:ECOLE.JPG
*http://commons.wikimedia.org/wiki/Image:RAV.jpg
*http://commons.wikimedia.org/wiki/Image:ELEVE.JPG
*http://commons.wikimedia.org/wiki/Image:OFFICIERS_1850.jpg
*http://commons.wikimedia.org/wiki/Image:COMMISSAIRE_PETIT_UNIF.JPG
*http://commons.wikimedia.org/wiki/Image:Commissaire_1776.jpg
*http://commons.wikimedia.org/wiki/Image:%C3%89cole_du_commissariat_de_la_marine_1.jpg
"""

the unusable display is :
"""
*http://commons.wikimedia.org/wiki/Image:EPEE.JPG *[########

2]*http://commons.wikimedia.org/wiki/Image:RAV.jpg *[
4]*http://commons.wikimedia.org/wiki/Image:OFFICIERS_1850.jpg *

http://commons.wikimedia.org/wiki/Image:COMMISSAIRE_PETIT_UNIF.JPG
*http://commons.wikimedia.org/wiki/Image:Commissaire_1776.jpg
*http://commons.wikimedia.org/wiki/Image:%C3%89cole_du_commissariat_de_la_ma[..]
"""

Its impossible to do anything with it. # are not hypertext, we can't know the real URL.

On the next note
https://secure.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=1322002&ArticleID=1643858
i add white line between each URL, the result is strange too, but usable :
"""
*http://commons.wikimedia.org/wiki/Image:EPEE.JPG
*http://commons.wikimedia.org/wiki/Image:ECOLE.JPG
*http://commons.wikimedia.org/wiki/Image:RAV.jpg
*http://commons.wikimedia.org/wiki/Image:ELEVE.JPG
*http://commons.wikimedia.org/wiki/Image:OFFICIERS_1850.jpg
*http://commons.wikimedia.org/wiki/Image:COMMISSAIRE_PETIT_UNIF.JPG

*http://commons.wikimedia.org/wiki/Image:Commissaire_1776.jpg

*http://commons.wikimedia.org/wiki/Image:%C3%89cole_du_commissariat_de_la_ma[..]
"""

Is there any clean solution to this big problem?

Thank a lot.


Version: unspecified
Severity: enhancement

bzimport added a project: OTRS.Via ConduitNov 21 2014, 10:04 PM
bzimport set Reference to bz12994.
bzimport created this task.Via LegacyFeb 12 2008, 1:30 PM
bzimport added a comment.Via ConduitFeb 12 2008, 2:19 PM

wikipara wrote:

It seems to be a conditional feature hard-configured to be run from the call in AgentZoom.pm, "LinkFeature => 1".

The feature itself has seen some changes in later OTRS versions but I don't see any use for such linkmasking in Wikimedia OTRS use.

tstarling added a comment.Via ConduitJan 31 2009, 5:06 AM

Looks fine to me. I'm assuming it was fixed in the upgrade to 2.4.

Steinsplitter moved this task to Resolved on the OTRS workboard.Via WebMar 19 2015, 10:30 AM

Add Comment